Subject: bug#29157: 25.3; Eshell parsing fails sometimes, e.g. "date" and "sed"

From: "John Wiegley" <[email-masked]>
Date: Sat, 25 Nov 2017 19:21:49 -0800

>>>>> "EZ" == Eli Zaretskii <[email-masked]> writes:

EZ> That's one way of looking at Eshell, although it's not my way. Eshell was
EZ> intended to be used from Lisp programs, and that's why its built-ins
EZ> accept Lisp objects, values, and expressions as arguments.

Eshell was intended to be a UNIX-like environment on non-UNIX systems, and as
a bonus to provide useful interactions with Lisp. It wasn't built first as a
Lisp interaction mode.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2